Doomsday Engine - Bug #2343

Player weapon opacity doesn't affect psprite 3D models
2019-08-14 12:47 - eunbolt

Status: Closed Start date: 2019-08-14
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.2 (2019)

Description

Related issues:
Related to Feature #1539: Armor, powerups (object status) controls 3D model r... Progressed 2011-06-18
Copied to Bug #2363: Light Amplification powerup doesn't affect psprite 3D mo... New 2019-08-14

Associated revisions

Revision 55b487d9 - 2019-11-05 11:57 - skyjake

Model Renderer|Definitions: Weapon opacity and fullbright mode
Added model definition variables "opacityFromWeapon" and "fullbrightFromWeapon" that work with psprites to modify the model appearance.

IssuelD #2343

History

#1 - 2019-08-14 12:47 - eunbolt
2.2 Unstable #3137 — 64-bit deb

#2 - 2019-08-16 19:23 - skyjake

Is this with the new model renderer or the old MD2 (jDRP) models? | assume you mean the player HUD weapon models?

#3 - 2019-08-17 00:52 - eunbolt

sorry, yes new model renderer. and yes player hud weapon models. i was playing multiplayer when i noticed it

#4 - 2019-08-17 03:20 - eunbolt

Also looks like the light amplification powerup also doesn't affect the hud models (tested in single player)

#5 - 2019-10-14 10:17 - skyjake
- Category set to Defect
- Assignee set to skyjake

- Target version set to 2.2 (2019)

#6 - 2019-11-05 12:01 - skyjake

- Status changed from New to In Progress

- % Done changed from 0 to 90

Could you give the new variables a try and see what happens?

"opacityFromWeapon" is True by default, and that gets applied in addition to the usual uAlpha shader variable.

"fullbrightFromWeapon" is False by default, because it is assumed that muzzle flashes etc. will be handled by the model itself, and don't need to be

controlled by the sprite fullbright state. This may be a problem, though, because the light amp powerup is not differentiated at all from the regular
fullbright state internally.

#7 - 2019-11-08 07:53 - eunbolt
What build are the updates in? last build i see is 2nd nov

#8 - 2019-11-08 11:42 - skyjake

Looks like the autobuilder has gotten stuck, I'll give it a kick...

#9 - 2019-11-11 10:02 - eunbolt

that fixes the invisbility, is there no way to tell if the person currently has the light amplification powerup? and auto apply fullbright to the models?

#10 - 2019-11-12 11:11 - skyjake

is there no way to tell if the person currently has the light amplification powerup?

Yeah, that's the problem at the moment. I'll need to add some mechanism of letting the model know about player powerup status, so those can used
in the model definition.

#11 - 2019-11-26 22:03 - skyjake

- Subject changed from 3d models don't go semi transparent when player picks up invisbility to Player weapon opacity and fullbright mode for psprite
3D models

#12 - 2019-11-29 19:07 - skyjake

- Related to Feature #1539: Armor, powerups (object status) controls 3D model representation added

#13 - 2019-11-30 08:34 - skyjake

- Description updated

#14 - 2019-12-06 06:22 - skyjake
- Copied to Bug #2363: Light Amplification powerup doesn't affect psprite 3D models added

#15 - 2019-12-06 06:24 - skyjake
- Subject changed from Player weapon opacity and fullbright mode for psprite 3D models to Player weapon opacity doesn't affect psprite 3D models
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

Splitting this bug because checking player powerups requires implementing a new feature.

#16 - 2019-12-06 06:24 - skyjake

- Description updated

#17 - 2019-12-17 11:18 - skyjake

- Status changed from Resolved to Closed

2024-05-19 22


http://www.tcpdf.org

